#!/usr/bin/perl -w

(my $email='ch%christianjaeger,ch')=~ tr/%,/@./;
my $copyright= "Copyright (c) 2015 Christian Jaeger <$email>";
my $license= "MIT License (Expat version)";

use strict; use warnings FATAL => 'uninitialized';

my $browser=
  $ENV{BROWSER} || `which xdg-open` || `which firefox`
  || `which chromium` || `which chrome` || `which safari` # does that even work?
  || die "don't know your browser, please set BROWSER env var";

my @browser= split /\s+/, $browser;

sub open_path {
    local $_=shift;
    eval {
	s|^doc/wiki/|| or die "no match";
	s|\.txt$|| or die "no match";
	s|\.|/|g;
	if (fork) {
	    1
	} else {
	    exec @browser, "http://wiki2.dovecot.org/$_";
	    exit 127;
	}
    } || do {
	warn "$@"
    }
}

if (@ARGV) {
    open_path $_ for @ARGV
} else {
    while (<STDIN>) {
	chomp;
	open_path $_;
    }
}
